Subject: RE: chmod suddenly ceased to work on old files - NEW FINDINGS
From: <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 28 Jun 2005 14:50:14 +0200

Thank you for your suggestions. Below you see the result for
file x (this is a file which does not work) and file y (which is a file
where chmod works):

$ getfacl -a x y
# file: x
# owner: fischron
# group: mkgroup_l_d
user::rwx
group::---
group:Administrators:rwx
mask:rwx
other:---

# file: y
# owner: fischron
# group: mkgroup_l_d
user::rwx
group::---
mask:rwx
other:---

$ ls -l x y
-rwx------+   1 fischron mkgroup_        4 Jan 19  2004 x
-rwx------    1 fischron mkgroup_        0 Jun 28 09:07 y

I don't know about the 'stat' command you are refering to. I'm only
aware 
of the stat function in C and Perl, and I don't see how these could help
in my problem, but I nevertheless include the output of perl's stat:

$ stat x y
bash: stat: command not found

$ perl -e 'print join(" ",stat(q(x))),"\n"'
4096 3543622505 33216 1 56297 10513 4096 4 1119962896 1074494264
1074494264 1024 1

I see from getfacl, that the non-working case has an extra entry
for Administrators, but I don't understand enough from ACL to see
how this could relate to my problem....

Ronald

> -----Original Message-----
> From: Eric Blake [mailto:[email-masked]] 
> According to [email-masked] on 6/28/2005 2:51 AM:
> > When I create a new file, behaviour depends on how I create it:
> > 
> >    touch new_file1
> >    chmod 0777 new_file1
> > 
> > => works fine.
> > But when I open a text editor, from within the editor create the new
> > file,
> > exit the editor, and then do a chmod on the file, I get "Permission
> > denied"
> > again.
> 
> My quick guess is that ACLs are at work.  Compare the output 
> of "getfacl
> old new".  Actually posting the output of "ls -l", "stat", or 
> "getfacl"
> might be helpful here, so that others can look at the 
> permissions as well.
> 
> - --
> Life is short - so eat dessert first!
> 
> Eric Blake             [email-masked]
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.4.0 (Cygwin)
> Comment: Public key at home.comcast.net/~ericblake/eblake.gpg
> Comment: Using GnuPG with Thunderbird - http://enigmail.mozdev.org
> 
> iD8DBQFCwUG484KuGfSFAYARAlSmAKC8B6s6vqA0Xk+METvFHHS4hboHqQCdEbLE
> BB5c7c5FCBLZ1lj2YiowzNc=
> =59oU
> -----END PGP SIGNATURE-----
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/